Package org.eclipse.lemminx.settings

## Class XMLCodeActionSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.XMLCodeActionSettings

    public class XMLCodeActionSettings
    extends Object

A wrapper around LSP `CodeActionCapabilities`.

### Constructor Summary

Constructors
`XMLCodeActionSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canSupportResolve()`
`org.eclipse.lsp4j.CodeActionCapabilities` `getCapabilities()`
`void` `setCapabilities​(org.eclipse.lsp4j.CodeActionCapabilities capabilities)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLCodeActionSettings

    public XMLCodeActionSettings()

### Method Detail

#### setCapabilities

    public void setCapabilities​(org.eclipse.lsp4j.CodeActionCapabilities capabilities)

#### getCapabilities

    public org.eclipse.lsp4j.CodeActionCapabilities getCapabilities()

#### canSupportResolve

    public boolean canSupportResolve()